
Figure - 开发 Dev #112454
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【FW】【UART】【TC-RID: 1201-0207301】
2022-10-09 19:37 - CD FW-王伟

Status: 完成 Closed Start date: 2023-01-16

Priority: Normal Due date:

Assignee: CD FW王武军 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

UART在fw侧的功能实现

Subtasks:

开发 Dev # 115369: 【MK】【FW】【UART】【TC-RID: 1201-0207301】添加MCU过压欠压... 完成 Closed

History

#1 - 2022-11-10 15:30 - CD- FW-石豪

- Status changed from New to 保留中 Pending

- Assignee changed from CD- FW-石豪 to CD FW王武军

目前UART功能已开发完毕，包括了MCU升级 ，过压保护，CAN相关功能。

不确定CAN是否还要新增功能，因此此任务先保留，等明确没有相关PRD时再做关闭或打开

#2 - 2022-12-15 17:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170530 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

FW:UART: Add screen offAdd the logic of screen to off,when mpu needto reboot or shutdown.TC-RID: 1201-0207301IssueID: TS-R-DF-112454Change-Id:

I99c1bc458acceae6026792153759d1f3f624a7e5

#3 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153490 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

FW:UART: Add UART framework layer codeAdd UART framework layer codeTC-RID: 1201-0207301IssueID: TS-R-DF-112454Change-Id:

Iea2a84d3e2e81624ad2d7202d6d4cd46b350c9af

2025-07-04 1/4



#4 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154206 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:UART:add uart se permissonTC-RID: 1201-0207301IssueID: TS-R-DF-112454Change-Id: Iabb44393dbdbc84a9bdd6c1c99ede927848e067d

#5 - 2023-01-13 10:37 - CD FW王武军

■ 当前状态

目前基础的开发通功能：MCU升级 ，过压保护，CAN已经完成。

后续针对该部分的修改通过bug的方式来跟进。

该票关闭。

#6 - 2023-01-13 10:38 - CD FW王武军

- Status changed from 保留中 Pending to 完成 Closed

- % Done changed from 0 to 100

#7 - 2023-06-06 14:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205057 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:UART: Change the reason for shutdown when receiving a down call signalTC-RID: 1201-0207301IssueID: TS-R-DF-112454Change-Id:

I88980b8d83c168173735caa64a095bb7b7e2f0d6

#8 - 2023-07-24 14:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

217087 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:UART: Add logic for Force reboot if mpu not reply mcu.1.Do not excute reboot or shutdown if operation is running.2.Change reboot or shutdown

reason.TC-RID: 1201-0207301IssueID: TS-R-DF-112454Change-Id: I5b2285184606f120a1c80b7d212448120b6ab031

#9 - 2023-07-27 23:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
218310 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:UART: Add logic for Force reboot if mpu not reply mcu.1.Do not excute reboot or shutdown if operation is running.2.Change reboot or shutdown

reason.TC-RID: 1201-0207301IssueID: TS-R-DF-112454Change-Id: I5b2285184606f120a1c80b7d212448120b6ab031(cherry picked from commit

aca360032a92124faadbe37c433f2a372851c233)

#10 - 2023-09-05 11:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

309679 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

FW:UART:Add exception that catch unavailability of service obtain by IUartServerTC-RID: 1201-0207301IssueID: TS-R-DF-112454,IOVDEV-40688Change-Id:

I1893bab91029b8e80e31daa2f3b9c7c5f1385a17

#11 - 2023-10-07 11:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317142 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

FW:UART:Add exception that catch unavailability of service obtain by IUartServerTC-RID: 1201-0207301IssueID: TS-R-DF-112454,IOVDEV-40688Change-Id:

I1893bab91029b8e80e31daa2f3b9c7c5f1385a17(cherry picked from commit 4a27aac919c04cca454720fba72319d44135ac84)

#12 - 2023-10-16 17:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

319640 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:UART: Add retry logic if send mpu boot complete message failed.If mpu send boot complete message failed, the retry after 10s.TC-RID: 1201-0207301IssueID:

TS-R-DF-112454, FIR-707Change-Id: I7797d691ca1b300ea7efb744fba430957cba2056

#13 - 2023-10-27 01:41 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

323296 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:UART: Add retry logic if send mpu boot complete message failed.If mpu send boot complete message failed, the retry after 10s.TC-RID: 1201-0207301IssueID:

TS-R-DF-112454, FIR-707Change-Id: I7797d691ca1b300ea7efb744fba430957cba2056(cherry picked from commit

fdeeccc04e65f809535099d125913ab18526456d)
